# Contributing

:+1::tada: First off, thanks for taking the time to contribute! :tada::+1:

> This contributing guide is loosely borrowed from the [Atom project]

## Styleguides

### Git Commit Messages

* Use the present tense ("Add feature" not "Added feature")
* Use the imperative mood ("Move cursor to..." not "Moves cursor to...")
* Limit the first line to 72 characters or less
* Reference issues and pull requests liberally after the first line
<!-- * When only changing documentation, include `[ci skip]` in the commit title -->
* Consider starting the commit message [with an applicable "gitmoji"]:
    * :art: `:art:` when improving the format/structure of the code
    * :zap: `:zap:` when improving performance
    * :sparkles: `:sparkles:` when introducing new features
    * :pencil: `:pencil:` when writing docs
    * :pencil2: `:pencil2:` when fixing typos
    * :bug: `:bug:` when fixing a bug
    * :fire: `:fire:` when removing code or files
    * :truck: `:truck:` when moving or renaming files
    * :green_heart: `:green_heart:` when fixing the CI build
    * :white_check_mark: `:white_check_mark:` when adding or updating tests
    * :lock: `:lock:` when dealing with security
    * :arrow_up: `:arrow_up:` when upgrading dependencies
    * :arrow_down: `:arrow_down:` when downgrading dependencies
    * :rotating_light: `:rotating_light:` when removing linter warnings
    * :penguin: `:penguin:` when fixing something on Linux
    * :apple: `:apple:` when fixing something on macOS
    * :checkered_flag: `:checkered_flag:` when fixing something on Windows


[Atom project]: https://github.com/atom/atom/blob/master/CONTRIBUTING.md#git-commit-messages
[with an applicable "gitmoji"]: https://gitmoji.carloscuesta.me/
